<template>
  <div class="col-md-3 mb-2">
    <router-link :to="{name:'movie.edit',params: { id: movie.id}}">
    <div class="card" style="width: 18rem;">
      <img class="card-img-top"
        :src="movie.poster" alt="Card image cap" style="height: 50%;">
      <div class="card-body">
        <h5 class="font-bold">{{ movie.title }}</h5>
        <div class="d-flex justify-content-between">
          <span>Year:{{ movie.year }}</span>
          <span>Time:{{ movie.runtime }}</span>

        </div>
      </div>
    </div>
  </router-link>

  </div>
</template>
<script setup>
  defineProps({
    movie: Object,
  })
</script>

<style lang="scss" scoped></style>